- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Protected Member Functions

# FbxVertexCacheDeformer Class Reference

This reference page is linked to from the following overview topics: List of Python Fbx classes.

Search for all occurrences

## Detailed Description

This class deforms control points of a geometry using control point positions stored in the associated cache object.

Examples:

  ExportScene03/main.cxx, ViewScene/DrawScene.cxx, and ViewScene/SceneContext.cxx.

Definition at line 27 of file fbxvertexcachedeformer.h.

`#include <fbxvertexcachedeformer.h>`

Inheritance diagram for FbxVertexCacheDeformer:
[legend]

List of all members.

## Public Member Functions
void | SetCache (FbxCache *pCache)
| Assign a cache object to be used by this deformer.
FbxCache * | GetCache () const
| Get the cache object used by this deformer.
void | SetCacheChannel (const char *pName)
| Select the cache channel by name.
FbxString | GetCacheChannel () const
| Get the name of the selected channel.
void | SetActive (bool pValue)
| Activate the deformer.
bool | IsActive () const
| Indicate if the deformer is active or not.
virtual EDeformerType | GetDeformerType () const
| Get the deformer type.
void | SetCacheSetName (const char *pCacheSetName)
| Set the cache set name.
FbxString | GetCacheSetName () const
| Get the name of point cache set.
virtual FbxObject & | Copy (const FbxObject &pObject)
| Copy an object content into this object.
## Static Public Attributes
static const char * | sChannelPropertyName
static const char * | sActivePropertyName
static const char * | sCacheSetPropertyName
## Protected Member Functions
| FbxVertexCacheDeformer (FbxManager &pManager, char const *pName)
virtual bool | ConstructProperties (bool pForceSet)
virtual FbxStringList | GetTypeFlags () const
## Properties
FbxPropertyT< FbxBool > | Active
FbxPropertyT< FbxString > | Channel
FbxPropertyT< FbxString > | CacheSet

## Constructor & Destructor Documentation

FbxVertexCacheDeformer | ( | FbxManager & | pManager,
|  | char const * | pName
| ) |  | `[protected]`

## Member Function Documentation

void SetCache | ( | FbxCache * | pCache | ) |

Search for all occurrences

Assign a cache object to be used by this deformer.

Parameters:

  pCache | The cache object.

Examples:
  ExportScene03/main.cxx.

FbxCache* GetCache | ( |  | ) | const

Search for all occurrences

Get the cache object used by this deformer.

Returns:
  A pointer to the cache object used by this deformer, or `NULL` if no cache object is assigned.

Examples:
  ExportScene03/main.cxx, ViewScene/DrawScene.cxx, and ViewScene/SceneContext.cxx.

void SetCacheChannel | ( | const char * | pName | ) |

Search for all occurrences

Select the cache channel by name.

Parameters:

  pName | The name of channel to use within the cache object.

Examples:
  ExportScene03/main.cxx.

FbxString GetCacheChannel | ( |  | ) | const

Search for all occurrences

Get the name of the selected channel.

Returns:
  The name of the selected channel within the cache object.

Examples:
  ViewScene/DrawScene.cxx.

void SetActive | ( | bool | pValue | ) |

Search for all occurrences

Activate the deformer.

Parameters:

  pValue | Set to `true` to enable the deformer.

Examples:
  ExportScene03/main.cxx, and ViewScene/SceneContext.cxx.

bool IsActive | ( |  | ) | const

Search for all occurrences

Indicate if the deformer is active or not.

Returns:
  The current state of the deformer.

Examples:
  ViewScene/SceneContext.cxx.

virtual EDeformerType GetDeformerType | ( |  | ) | const `[inline, virtual]`

Search for all occurrences

Get the deformer type.

Returns:
  Deformer type identifier.

Reimplemented from FbxDeformer.

Definition at line 66 of file fbxvertexcachedeformer.h.

    { return FbxDeformer::eVertexCache; }

void SetCacheSetName | ( | const char * | pCacheSetName | ) |

Search for all occurrences

Set the cache set name.

Parameters:

  pCacheSetName | The point cache set name.

Remarks:
  It's only internally used by Maya/3ds Max plugin.

FbxString GetCacheSetName | ( |  | ) | const

Search for all occurrences

Get the name of point cache set.

Returns:
  The name of point cache set.

Remarks:
  It's only internally used by Maya/3ds Max plugin.

virtual FbxObject& Copy | ( | const FbxObject & | pObject | ) | `[virtual]`

Search for all occurrences

Copy an object content into this object.

Parameters:

  pObject | The source object to copy data from.

Returns:
  Returns the destination object being modified by the source.

Remarks:
  This function replace the assignment operator (operator=). It will copy all property values and the name. Connections are NOT copied.

Reimplemented from FbxObject.

virtual bool ConstructProperties | ( | bool | pForceSet | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from FbxObject.

virtual FbxStringList GetTypeFlags | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented from FbxDeformer.

## Member Data Documentation

FbxPropertyT<FbxBool> Active `[protected]`

Search for all occurrences

Definition at line 73 of file fbxvertexcachedeformer.h.

FbxPropertyT<FbxString> Channel `[protected]`

Search for all occurrences

Definition at line 74 of file fbxvertexcachedeformer.h.

FbxPropertyT<FbxString> CacheSet `[protected]`

Search for all occurrences

Definition at line 75 of file fbxvertexcachedeformer.h.

const char* sChannelPropertyName `[static]`

Search for all occurrences

Definition at line 103 of file fbxvertexcachedeformer.h.

const char* sActivePropertyName `[static]`

Search for all occurrences

Definition at line 104 of file fbxvertexcachedeformer.h.

const char* sCacheSetPropertyName `[static]`

Search for all occurrences

Definition at line 105 of file fbxvertexcachedeformer.h.

The documentation for this class was generated from the following file:

- fbxsdk/scene/geometry/fbxvertexcachedeformer.h

FbxVertexCacheDeformer FbxVertexCacheDeformer FbxVertexCacheDeformer FbxVertexCacheDeformer FbxVertexCacheDeformer FbxVertexCacheDeformer FbxVertexCacheDeformer FbxVertexCacheDeformer FbxVertexCacheDeformer FbxVertexCacheDeformer
FbxVertexCacheDeformer FbxVertexCacheDeformer FbxVertexCacheDeformer FbxVertexCacheDeformer FbxVertexCacheDeformer FbxVertexCacheDeformer FbxVertexCacheDeformer FbxVertexCacheDeformer FbxVertexCacheDeformer FbxVertexCacheDeformer